Test the monitoring credential against parameters
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/actions/testMonitoringCredential
The monitoring credential is tested against the provided set name, target type and target name or target instance ID.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectSchema object to hold Monitoring Credential details for test action.
Match All
Schema object to hold Monitoring Credential details for test action.
Show Source
-
object
TargetAndSetCommon
Input for creating a Monitoring Credential
Nested Schema : TargetAndSetCommon
Type:
objectInput for creating a Monitoring Credential
Show Source
-
setName(required): string
credential set nameExample:
CREDSET1 -
targetGuid: string
Target instance id of a preferred credential.Example:
A3CDDE587FD221E2F3539013290B7F05 -
targetName: string
target name of monitoring credentialExample:
www.myhost.com -
targetTypeName: string
name of the target type of the monitoring credentialExample:
oracle_database
Examples
Back to Top
Response
204 Response
Monitoring credential tested successfully
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message